---
title: InterventionReportBody
slug: Web/API/InterventionReportBody
tags:
  - API
  - Experimental
  - Interface
  - InterventionReportBody
  - Reference
  - Reporting API
---
<div>{{seecompattable}}{{APIRef("Reporting API")}}</div>

<p class="summary">The <code>InterventionReportBody</code> interface of the <a href="/en-US/docs/Web/API/Reporting_API">Reporting API</a> represents the body of an intervention report (the return value of its {{domxref("Report.body")}} property).</p>

<p class="summary">An intervention report is generated when usage of a feature in a web document has been blocked by the browser for reasons such as security, performance, or user annoyance. So for example, a script was been stopped because it was significantly slowing down the browser, or the browser's autoplay policy blocked audio from playing without a user gesture to trigger it.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt><code>id</code></dt>
 <dd>A string representing the intervention that generated the report. This can be used to group reports by deprecated feature.</dd>
 <dt><code>message</code></dt>
 <dd>A string containing a human-readable description of the intervention, including information such how the intervention could be avoided. This typically matches the message a browser will display in its DevTools console when an intervention is imposed, if one is available.</dd>
 <dt><code>sourceFile</code></dt>
 <dd>A string containing the path to the source file where the intervention occurred, if known, or <code>null</code> otherwise.</dd>
 <dt><code>lineNumber</code></dt>
 <dd>A number representing the line in the source file in which the intervention occurred, if known, or <code>null</code> otherwise.</dd>
 <dt><code>columnNumber</code></dt>
 <dd>A number representing the column in the source file in which the intervention occurred, if known, or <code>null</code> otherwise.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">let options = {
  types: ['intervention'],
  buffered: true
}

let observer = new ReportingObserver(function(reports, observer) {
  let firstReport = reports[0];
  console.log(firstReport.type); // intervention
  console.log(firstReport.body.id);
  console.log(firstReport.body.message);
  console.log(firstReport.body.sourceFile);
  console.log(firstReport.body.lineNumber);
  console.log(firstReport.body.columnNumber);
}, options);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Reporting API","#intervention-report","InterventionReportBody")}}</td>
   <td>{{Spec2("Reporting API")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DeprecationReportBody")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Reporting_API">Reporting API</a></li>
</ul>
